Forums FusionInventory
[?] MAJ FI Agent avec correction remontée de logiciels - Printable Version

+- Forums FusionInventory (https://forum.fusioninventory.org)
+-- Forum: Français (https://forum.fusioninventory.org/forumdisplay.php?fid=4)
+--- Forum: fusioninventory-agent (https://forum.fusioninventory.org/forumdisplay.php?fid=9)
+--- Thread: [?] MAJ FI Agent avec correction remontée de logiciels (/showthread.php?tid=2144)



[?] MAJ FI Agent avec correction remontée de logiciels - dethegeek - 2014-08-04

Bonjour

Question autour de la résolution du ticket suivant : http://forge.fusioninventory.org/issues/2626

Y aura t il rapidement une release de l'agent incluant cette correction ? C'est assez contrariant de ne pas avoir un inventaire logiciel complet.


[?] MAJ FI Agent avec correction remontée de logiciels - ddurieux - 2014-08-04

La release est déjà faite la Wink


[?] MAJ FI Agent avec correction remontée de logiciels - dethegeek - 2014-08-04

donc c'est la 2.4.0 (-dev) ?


[?] MAJ FI Agent avec correction remontée de logiciels - Kahalisto - 2014-08-04

Hello !

La release qui t'intéresse est la 2.3.10 elle est plus bas dans la liste entre la 2.3.1 et la 2.3.2

Par contre je viens de la tester sur 2 machines et il y a un petit problème avec les noms de machine remontés.

Au lieu d'avoir habituellement les noms courts des machines, ceux-ci ce trouve être remplacés par les noms fqdn ( ex toto.contoso.com au lieu de toto Smile)


[?] MAJ FI Agent avec correction remontée de logiciels - dethegeek - 2014-08-04

Merci Kahalisto, je n'avais pas pensé à ce souci d'ordre alphabétique.

Par contre, ce souci de nommage est contrariant. Je me demande si je ne vais pas devoir utilsier en prod les versions 2.3.8 et 2.3.9 en attendant que tout se stabilise...

Ca vaut peut être le coup d'ouvrir un ticket pour ce problème de fqdn (que je confirme sur un de mes ordinateurs)


[?] MAJ FI Agent avec correction remontée de logiciels - Kahalisto - 2014-08-04

Je viens justement d'ouvrir un ticket

http://forge.fusioninventory.org/issues/2647


[?] MAJ FI Agent avec correction remontée de logiciels - dethegeek - 2014-08-04

Merci ! Wink

Je fais un petit test de découverte réseau avec FI Agent 2.3.10 : ça semble crasher de nouveau Sad


[?] MAJ FI Agent avec correction remontée de logiciels - Kahalisto - 2014-08-04

Une version 2.3.10.1 a été mise à disposition, elle corrige le problème que j'ai évoqué au dessus, mais également un problème de crash concernant le netinventory et netdiscovery
comme tu pourras le lire ici :
https://github.com/fusinv/fusioninventory-agent/blob/9b8b9c335551cbf1b2b2cf4c3100e27595e4ff62/Changes

Peut-être que cela corrige ton problème.

Cdlt.


[?] MAJ FI Agent avec correction remontée de logiciels - dethegeek - 2014-08-04

Merci, je teste de suite la remontée du nom, et la possibilité de faire un net discovery

Edit :

Remontée du nom court: OK
Net discovery : non OK

La correction porte sur netdiscovery et net inventory en CLI d'après ce que je lis.


[?] MAJ FI Agent avec correction remontée de logiciels - dethegeek - 2014-08-04

Pour info, si ça peut aider d'autres utilisateurs :

J'ai des serveurs sous windows qui exécutent FI Agent 2.3.9 pour faire la découverte réseau et l'inventaire réseau. Les ordinateurs des utilisateurs passent en 2.3.10.1 pour l'inventaire "local".


[?] MAJ FI Agent avec correction remontée de logiciels - Kahalisto - 2014-08-04

Je n'ai pas vraiment suivi les évolutions et correction sur la découverte réseau et l'inventaire réseau.
As-tu regardé sur la forge si un bug était ouvert ? et si oui , si il est sensé être résolu ?

Edit :
Si tu vas voir ici, http://forge.fusioninventory.org/issues/2643
il y a une info de pourquoi le netdiscovery et netinventory ne fonctionne pas sous windows avec les versions 2.3.10 et 2.3.10.1

Quote:Threads Work Around
Using Strawberry Perl 5.18.2.2 problems regarding threads will not disappear so, if you need to execute network discovery or network inventory tasks, it’s better you choose other platform than Windows to execute these tasks of FusionInventory Agent. GNU/Linux may be a good choice.

De ce que je comprends pour la 2.3.9 la version de perl 5.20.0.1 est utilisée mais cause des problèmes pour la partie deploy, c'est pourquoi il y a eu un retour arrière dans la version 2.3.10 de perl qui est en version 5.18.2.2

Voilà !


[?] MAJ FI Agent avec correction remontée de logiciels - dethegeek - 2014-08-04

Oui j'ai suivi en partie les évènements; vu que le net discovery me manque depuis la version 2.3.4 (à peu près). J'ai la chance d'avoir un contexte me permettant d'utilsier à la fois la version 2.3.9 et la version 2.3.10.1 .

Je vais attendre et simplement tester les prochaines versions, en espérant que tout fonctionne dans les mois à venir.